<?php

	# mark core  v1.0
    # author Drk in
	# date 24.10.19 	

	# core

	require_once ( $_SERVER['DOCUMENT_ROOT']."/_core/system.php" );

	$CK = isset( $_GET['CK'] ) ? system::check($_GET['CK']): null;

	if ($CK == CK_KEY):

	DB :: $dbh -> query("UPDATE platforms SET hs_to = hs, ht_to = ht, pc_to = pc, mb_to = mb, in_to = `in`, ou_to = ou, hs = 0, ht = 0, pc = 0, mb = 0, `in` = 0, ou = 0");		
	DB :: $dbh -> query("TRUNCATE TABLE hs"); 
	DB :: $dbh -> query("TRUNCATE TABLE ht");	
	DB :: $dbh -> query("TRUNCATE TABLE`in`"); 
	DB :: $dbh -> query("TRUNCATE TABLE ou");	
	DB :: $dbh -> query("TRUNCATE TABLE`on`");		

	cache_pf::update();

	# error
	
	else: require_once (root.'_modules/error/index.php'); endif;
?>